From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/ghc/
Date: Tue, 14 Feb 2017 22:16:46 +0000 (UTC) [thread overview]
Message-ID: <1487110599.8274b84fb061ddcb1318f1ba5625b41b197e6987.slyfox@gentoo> (raw)
commit: 8274b84fb061ddcb1318f1ba5625b41b197e6987
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 14 10:01:08 2017 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Tue Feb 14 22:16:39 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8274b84f
ghc: spell '-nopie' as '-no-pie' for gcc-6.3.0, bug #606666
Gentoo upstreamed -pie/-nopie patch to GCC upstream but
there is a twist: '-nopie' gentoo flag became '-no-pie'.
But at least '-no-pie' is accessible in both vanilla
and hardened profiles of gcc-6.3.0.
Reported-by: Toralf Förster
Bug: https://bugs.gentoo.org/606666
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
dev-lang/ghc/ghc-7.10.3.ebuild | 10 ++++++++--
dev-lang/ghc/ghc-8.0.2.ebuild | 10 ++++++++--
2 files changed, 16 insertions(+), 4 deletions(-)
diff --git a/dev-lang/ghc/ghc-7.10.3.ebuild b/dev-lang/ghc/ghc-7.10.3.ebuild
index ac9989cf6e..a963d059c6 100644
--- a/dev-lang/ghc/ghc-7.10.3.ebuild
+++ b/dev-lang/ghc/ghc-7.10.3.ebuild
@@ -244,9 +244,15 @@ ghc_setup_cflags() {
append-ghc-cflags link ${flag}
done
- # hardened-gcc needs to be disabled, because the mangler doesn't accept
- # its output.
+ # hardened-gcc needs to be disabled, because our prebuilt binaries/libraries
+ # are not built with fPIC, bug #606666
gcc-specs-pie && append-ghc-cflags persistent compile link -nopie
+ tc-is-gcc && version_is_at_least 6.3 $(gcc-version) && if ! use ghcbootstrap; then
+ # gcc-6.3 has support for -no-pie upstream, but spelling differs from
+ # gentoo-specific '-nopie'. We enable it in non-bootstrap to allow
+ # hardened users try '-pie' in USE=ghcbootstrap mode.
+ append-ghc-cflags persistent compile link -no-pie
+ fi
gcc-specs-ssp && append-ghc-cflags persistent compile -fno-stack-protector
# prevent from failind building unregisterised ghc:
diff --git a/dev-lang/ghc/ghc-8.0.2.ebuild b/dev-lang/ghc/ghc-8.0.2.ebuild
index e6dc320cb7..e5abb43d94 100644
--- a/dev-lang/ghc/ghc-8.0.2.ebuild
+++ b/dev-lang/ghc/ghc-8.0.2.ebuild
@@ -236,9 +236,15 @@ ghc_setup_cflags() {
append-ghc-cflags link ${flag}
done
- # hardened-gcc needs to be disabled, because the mangler doesn't accept
- # its output.
+ # hardened-gcc needs to be disabled, because our prebuilt binaries/libraries
+ # are not built with fPIC, bug #606666
gcc-specs-pie && append-ghc-cflags persistent compile link -nopie
+ tc-is-gcc && version_is_at_least 6.3 $(gcc-version) && if ! use ghcbootstrap; then
+ # gcc-6.3 has support for -no-pie upstream, but spelling differs from
+ # gentoo-specific '-nopie'. We enable it in non-bootstrap to allow
+ # hardened users try '-pie' in USE=ghcbootstrap mode.
+ append-ghc-cflags persistent compile link -no-pie
+ fi
gcc-specs-ssp && append-ghc-cflags persistent compile -fno-stack-protector
# prevent from failind building unregisterised ghc:
next reply other threads:[~2017-02-14 22:16 UTC|newest]
Thread overview: 93+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-14 22:16 Sergei Trofimovich [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-01 21:03 [gentoo-commits] repo/gentoo:master commit in: dev-lang/ghc/ Matt Turner
2023-11-20 7:36 Sam James
2023-10-14 0:47 Sam James
2023-10-14 0:47 Sam James
2023-10-14 0:47 Sam James
2023-10-14 0:47 Sam James
2023-05-27 15:29 Sam James
2023-04-10 5:09 Sam James
2023-03-17 21:54 Sam James
2023-03-17 18:23 Sam James
2023-02-21 5:13 Sam James
2023-02-21 5:13 Sam James
2023-02-21 5:13 Sam James
2023-02-21 5:13 Sam James
2023-02-21 5:13 Sam James
2023-02-05 15:19 Sam James
2023-01-21 2:37 Sam James
2022-11-25 21:57 Sam James
2022-11-25 21:57 Sam James
2022-10-15 0:57 Sam James
2022-10-04 15:34 Sam James
2022-08-31 21:49 Sam James
2022-08-14 21:31 Sam James
2022-07-30 9:20 Sam James
2022-07-29 2:33 Sam James
2022-07-23 2:08 Sam James
2022-07-22 22:36 Sam James
2022-07-22 22:34 Sam James
2022-01-05 10:01 David Seifert
2021-07-18 8:58 Sergei Trofimovich
2021-06-19 9:05 Sergei Trofimovich
2021-06-18 21:07 David Seifert
2021-06-06 13:45 Sergei Trofimovich
2021-04-20 19:31 Sergei Trofimovich
2021-03-15 22:33 Sergei Trofimovich
2021-03-14 8:47 Sergei Trofimovich
2021-02-28 20:20 Sergei Trofimovich
2021-01-07 8:20 Fabian Groffen
2020-12-24 22:40 Sergei Trofimovich
2020-12-24 8:28 Sergei Trofimovich
2020-12-20 22:26 Sergei Trofimovich
2020-09-05 8:11 Sergei Trofimovich
2020-08-02 8:23 Sergei Trofimovich
2020-07-24 7:06 Sergei Trofimovich
2020-05-23 6:17 Mike Frysinger
2020-04-11 11:05 Sergei Trofimovich
2020-04-11 8:12 Sergei Trofimovich
2020-03-25 22:31 Sergei Trofimovich
2020-03-17 3:00 Matt Turner
2020-01-19 14:59 Sergei Trofimovich
2020-01-11 18:58 Sergei Trofimovich
2020-01-11 18:58 Sergei Trofimovich
2020-01-10 20:09 Sergei Trofimovich
2019-11-10 15:14 Michał Górny
2019-10-01 19:14 Michał Górny
2019-07-17 21:05 Sergei Trofimovich
2019-07-01 7:55 Sergei Trofimovich
2019-03-09 13:16 Sergei Trofimovich
2018-06-18 18:07 Tobias Klausmann
2018-06-12 7:52 Sergei Trofimovich
2018-06-10 11:22 Sergei Trofimovich
2018-06-09 19:09 Sergei Trofimovich
2018-05-09 18:37 Sergei Trofimovich
2018-03-09 22:36 Sergei Trofimovich
2018-01-22 0:01 Sergei Trofimovich
2017-12-26 12:30 Sergei Trofimovich
2017-11-25 14:14 Sergei Trofimovich
2017-11-24 8:01 Sergei Trofimovich
2017-11-24 7:52 Sergei Trofimovich
2017-09-02 20:50 Sergei Trofimovich
2017-09-02 20:29 Sergei Trofimovich
2017-07-12 20:16 Sergei Trofimovich
2017-07-11 21:57 Sergei Trofimovich
2017-07-11 20:45 Sergei Trofimovich
2017-07-08 13:18 Sergei Trofimovich
2017-07-08 11:59 Sergei Trofimovich
2017-07-03 19:57 Sergei Trofimovich
2017-06-20 21:56 Sergei Trofimovich
2017-05-28 0:41 Benda XU
2017-03-19 10:28 Sergei Trofimovich
2017-02-18 12:12 Sergei Trofimovich
2017-02-18 12:12 Sergei Trofimovich
2017-02-14 22:59 Sergei Trofimovich
2017-02-14 22:16 Sergei Trofimovich
2017-01-20 10:21 Sergei Trofimovich
2016-12-28 22:49 Sergei Trofimovich
2016-12-28 21:14 Sergei Trofimovich
2016-07-26 9:07 Benda XU
2016-04-04 20:32 Sergei Trofimovich
2016-02-10 23:04 Sergei Trofimovich
2015-08-28 21:50 Sergei Trofimovich
2015-08-27 22:24 Sergei Trofimovich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1487110599.8274b84fb061ddcb1318f1ba5625b41b197e6987.slyfox@gentoo \
--to=slyfox@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox